Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003492TestLinkReportspublic2010-05-27 06:442010-07-06 16:23
Reporterterryzuo 
Assigned ToJulian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 4 
Fixed in Version1.9 Beta 5 
Summary0003492: Reports->failed/not run/blocked test cases display: the column "summary" should be "notes" as before
DescriptionReports->failed/not run/blocked test cases display: the column "summary" should be "notes" as before.

For user will add some notes(bug number or additional info) in the notes field, not in the summary.
I've digged into resultsByStatus.php but failed to fix this issue.
Additional InformationHowever, the query metrics page is OK(resultsMoreBuilds_buildReport.php)
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon 5-27-2010 2-40-11 PM.png [^] (33,792 bytes) 2010-05-27 06:44

- Relationships

-  Notes
(0010172)
terryzuo (reporter)
2010-05-27 07:14

Just wondering why the following parameters as "summary" (copied from resultsByStatus.php), not "notes" in the previous TL verisons:

$topLevelSuites[$topCache[$item['tc_id']]]['items'][$level][] =
...,
'notes' => strip_tags($item['summary']),
...
(0010177)
Julian (reporter)
2010-05-27 08:11

fixed on cvs head
(0010197)
terryzuo (reporter)
2010-05-31 00:50

Julian,
thank your quick fix! Thanks!
(0010472)
fman (administrator)
2010-07-02 18:35

1.9 Beta 5 released
(0010549)
terryzuo (reporter)
2010-07-06 02:34

Report: not run test case is still show the summary, not the Execution notes. However, the Reports->failed/blocked test cases display are OK.
(0010550)
amitkhullar (reporter)
2010-07-06 03:23

how do u expect the test cases which have not been executed yet , to display there Execution notes? do you get it?
(0010551)
Julian (reporter)
2010-07-06 05:43

right, if test case was not executed -> no execution note.

this means not run test cases page shows summary.

- Issue History
Date Modified Username Field Change
2010-05-27 06:44 terryzuo New Issue
2010-05-27 06:44 terryzuo File Added: 5-27-2010 2-40-11 PM.png
2010-05-27 07:14 terryzuo Note Added: 0010172
2010-05-27 08:07 Julian Assigned To => Julian
2010-05-27 08:07 Julian Status new => assigned
2010-05-27 08:11 Julian Note Added: 0010177
2010-05-31 00:50 terryzuo Note Added: 0010197
2010-06-28 06:40 Julian Status assigned => resolved
2010-06-28 06:40 Julian Fixed in Version => 1.9 Beta 5
2010-06-28 06:40 Julian Resolution open => fixed
2010-07-02 18:35 fman Note Added: 0010472
2010-07-02 18:35 fman Status resolved => closed
2010-07-06 02:34 terryzuo Note Added: 0010549
2010-07-06 02:34 terryzuo Status closed => assigned
2010-07-06 02:34 terryzuo Resolution fixed => reopened
2010-07-06 03:23 amitkhullar Note Added: 0010550
2010-07-06 05:43 Julian Note Added: 0010551
2010-07-06 05:43 Julian Status assigned => resolved
2010-07-06 05:43 Julian Resolution reopened => fixed
2010-07-06 16:23 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker